This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 875609 - Could not find ESX/Hyper-V host on SAM WebUI
Could not find ESX/Hyper-V host on SAM WebUI
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: candlepin (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity urgent
: beta
: ---
Assigned To: Tom McKay
SAM QE List
: TestBlocker
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-12 02:48 EST by Hui Wang
Modified: 2013-02-21 14:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Hypervisor type systems are now correctly listed in web UI.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:19:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
zip file of /var/log/katello (260.00 KB, application/x-gzip)
2012-11-18 21:41 EST, lzhuang
no flags Details

  None (edit)
Description Hui Wang 2012-11-12 02:48:43 EST
Description of problem:
After virt-who successfully sending esx/hyper-v hostid:guestids mappings to SAM, we could find the esx host on SAM WebUI. However, we could see the esx guest was associated with the esx host.

Version-Release number of selected component (if applicable):
virt-who-0.8-5.el6
katello-glue-candlepin-1.2.4-1h.el6_3.noarch
katello-cli-1.2.3-1h.el6_3.noarch
katello-headpin-all-1.2.4-1h.el6_3.noarch
katello-headpin-1.2.4-1h.el6_3.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-configure-1.2.2-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-common-1.2.4-1h.el6_3.noarch
katello-cli-common-1.2.3-1h.el6_3.noarch
candlepin-0.7.19-1.el6_3.noarch
katello-glue-candlepin-1.2.4-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
candlepin-tomcat6-0.7.19-1.el6_3.noarch
thumbslug-selinux-0.0.26-1.el6_3.noarch
thumbslug-0.0.26-1.el6_3.noarch


How reproducible:


Step to Reproduce:


1. prepared one rhel6.4 host, and register to SAM:
#subscription-namager register --org=ACME_Corporation --environment=env1
--username=$username --password=$password

2.Deployed the env of ESX/hyper-v


3.Set the /etc/sysconfig/virt-who on rhel6.4 host 

#vim /etc/sysconfig/virt-who
VIRTWHO_BACKGROUND=1
VIRTWHO_DEBUG=1
VIRTWHO_ESX=1
VIRTWHO_ESX_OWNER=ACME_Corporation
VIRTWHO_ESX_ENV=env1
VIRTWHO_ESX_SERVER=10.66.5.106
VIRTWHO_ESX_USERNAME=Administrator
VIRTWHO_ESX_PASSWORD=xxx

or 

#vim /etc/sysconfig/virt-who
VIRTWHO_BACKGROUND=1
VIRTWHO_DEBUG=1
VIRTWHO_HYPERV=1
VIRTWHO_HYPERV_OWNER=ACME_Corporation
VIRTWHO_HYPERV_ENV=env1
VIRTWHO_HYPERV_SERVER=10.66.13.142
VIRTWHO_HYPERV_USERNAME=Administrator
VIRTWHO_HYPERV_PASSWORD=xxxx

4.Restart virt-who service
#service virt-who restart

5.Log in SAM WebUI and look for esx/hyper-v hosts under "Systems" tab

Actual results:
no esx/hyper-v hosts found

Expected results:
esx/hyper-v hosts found, and can add subscriptions for the esx/hyper-v hosts
Comment 6 lzhuang 2012-11-18 21:41:11 EST
Created attachment 647476 [details]
zip file of /var/log/katello

All the files under /var/log/katello are in the zip file, it contains one rhel machine with virt-who running in ESX mode registered to SAM, and both of the two ESX hosts were supposed to register to SAM, but they haven't.
Comment 9 Tom McKay 2012-11-19 15:14:36 EST
In fixing this issue it was noted that the katello CLI command 'system remove_deletion' does not function correctly. This prevents a hypervisor from being deleted and then re-added again later. A BZ was opened for that regression:
https://bugzilla.redhat.com/show_bug.cgi?id=878191
Comment 10 Tom McKay 2012-11-19 15:52:42 EST
https://github.com/Katello/katello/pull/1091

8408caaabe788ce4b3c9cfe25d7bbb8a68a5386e
Comment 11 Tom McKay 2012-12-03 10:42:15 EST
In latest compose
Comment 12 gaoshang 2012-12-04 07:26:27 EST
Verified this bug on RHEL6.4-server-x86_64-20121126 + SAM1.2-20121130.n.0 with ESX/Hyper-V and passed.
In SAM WebUI, esx/hyper-v hosts can be found under "Systems" tab, we also have issue mentioned above: https://bugzilla.redhat.com/show_bug.cgi?id=878191.
Comment 14 errata-xmlrpc 2013-02-21 14:19:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.